GNU bug report logs - #26855
25.2; Menus off screen, gtk errors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: gulliver.m.smith@HIDDEN; merged with #25064, #26130, #27131; dated Tue, 9 May 2017 15:29:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 26855 <at> debbugs.gnu.org:


Received: (at 26855) by debbugs.gnu.org; 3 Sep 2017 14:59:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 03 10:59:11 2017
Received: from localhost ([127.0.0.1]:46511 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1doWMh-0005gw-BZ
	for submit <at> debbugs.gnu.org; Sun, 03 Sep 2017 10:59:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1doWMg-0005gi-7m
 for 26855 <at> debbugs.gnu.org; Sun, 03 Sep 2017 10:59:10 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1doWMW-0005oG-Mc
 for 26855 <at> debbugs.gnu.org; Sun, 03 Sep 2017 10:59:05 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50869)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1doWMM-0005gm-72; Sun, 03 Sep 2017 10:58:50 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3454
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1doWML-0003xu-I9; Sun, 03 Sep 2017 10:58:50 -0400
Date: Sun, 03 Sep 2017 17:58:42 +0300
Message-Id: <83bmmrygkd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <59AB1AC3.4000507@HIDDEN> (message from martin rudalics on Sat,
 02 Sep 2017 22:55:31 +0200)
Subject: Re: bug#26855: 25.2; Menus off screen, gtk errors
References: <87bmr2883i.fsf@HIDDEN> <5911EAD5.3060602@HIDDEN>
 <834lslyznk.fsf@HIDDEN> <59AAF3C6.5040508@HIDDEN> <83mv6dx7i3.fsf@HIDDEN>
 <59AB1AC3.4000507@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26855
Cc: gulliver.m.smith@HIDDEN, 26855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

unblock 24655 by 26855
thanks

> Date: Sat, 02 Sep 2017 22:55:31 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: gulliver.m.smith@HIDDEN, 26855 <at> debbugs.gnu.org
> 
>  > Is there any reason to keep this bug on the list of those that block
>  > Emacs 26.1?
> 
> Not unless someone running master with GTK 3.22 confirms that the
> warnings are still there.  For the moment this means that we should
> remove the blocking (who put it there, BTW?) based on the assumption
> that Philipp fixed these warnings already.

OK, I'm therefore unblocking.  Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26855; Package emacs. Full text available.

Message received at 26855 <at> debbugs.gnu.org:


Received: (at 26855) by debbugs.gnu.org; 2 Sep 2017 20:55:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 02 16:55:46 2017
Received: from localhost ([127.0.0.1]:44051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1doFSE-0008Mg-1A
	for submit <at> debbugs.gnu.org; Sat, 02 Sep 2017 16:55:46 -0400
Received: from mout.gmx.net ([212.227.15.15]:61819)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1doFSB-0008MR-NT
 for 26855 <at> debbugs.gnu.org; Sat, 02 Sep 2017 16:55:44 -0400
Received: from [192.168.1.102] ([46.125.250.49]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MBWTO-1dg2Ft06fW-00AUYm; Sat, 02
 Sep 2017 22:55:35 +0200
Message-ID: <59AB1AC3.4000507@HIDDEN>
Date: Sat, 02 Sep 2017 22:55:31 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#26855: 25.2; Menus off screen, gtk errors
References: <87bmr2883i.fsf@HIDDEN> <5911EAD5.3060602@HIDDEN>
 <834lslyznk.fsf@HIDDEN> <59AAF3C6.5040508@HIDDEN> <83mv6dx7i3.fsf@HIDDEN>
In-Reply-To: <83mv6dx7i3.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:hl2mqtPig5yspx/JUG9B+53gznWtToOlU32JiInlxYOh9U+D2gO
 hBSvumaaT4E6AjtSLV8vNO/XYQdbZXVAY6MGntJHZpiJuEdA5JG65ZpnhSc8FrJHMMalPVu
 i5YrpLteIrqByrppSQTxjBUz40mxIlEv+PLPtCguF7bfg2wTjRxBh/89UIY4blshTCpjOEo
 PFmJoAFm8InifWZbmJbbQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:oiWYSLaIuZI=:R0vIL6j0LfX8lXG2Z4jg6u
 VVhrtiVK62PCU2r0I1WaLzpJiy/2hy8CUhFk1OvtyT7AvPR5WkBzvpYAIzAH3H/X/t+JvS75f
 Yv8xNZO6gaF0TIsvP3yYaqkgLWsSxXrlyrvZn/n8FZZqJw24iu7SRjd/Y60ZdtRMZg5AuVBom
 f7efZE3qhvtw6sNyvDMCMjd6Ec8+lmtN5MqubL+jrszNWsO0vBPRk4/7Gyw3R0iEP1jVGBx7Z
 Ws1008Yeqic/6tzF7ZXEkvbWdj8LnNPDTZd9iyVa3SS6H5CTzJzrLjO13ynO1Tip/c3er+f9s
 DXlUghkeyUTSnIT+uR+GALGM2Xfm2zZx56U2+EH3uIKtz7H806/lX7tGaKTiCO5WPtAA4Uoi3
 1a3LO+SLBi/KlJ8Otf996eYd5adaph4f9tGHaN5rdmpfcClaaqi12ME3GO3w4KR0VNaq8dQ4X
 tH14DaXlTkOwn4SvoIoRAmGnBGMjqa9cCRSO91yPkuYmf5ju3hjm6Nz/Yrvg2V6irOciByGLP
 /oi5jhtXwzIa3FDZIe5lem+ov15uhdy0XKC51Fjif6We4BXfNZt1ahQrqV+dV/r55dqDO8ako
 Z39ayDFHVR31MOAJNWgEvl6hfxGv5Ap7y/VDr8aN9gjdPAsW+kZCVcINxcjT1kRVSzBvnLT7/
 PrT9smqIRzlbBIF/WuJwsWeBFiLfYa/J4MGGMNNeGydgm2Y1kKVJsO3g5NYj+8IRo/qtiFCaJ
 G9cM1ZDwQIUylTFNMNXWy64Pdr3qAiec1hIVhBX1a5LRnCJlD3iUCyAaQ1jRZ9CaZnvP6Hs5K
 FWM/D8sDm6zvj70bXvTC6y0IJ8gX/norsJ1wG6oHvUYWcPPNrMB1h0FZOGoZr/gWYPvg9hh
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 26855
Cc: gulliver.m.smith@HIDDEN, 26855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 > Is there any reason to keep this bug on the list of those that block
 > Emacs 26.1?

Not unless someone running master with GTK 3.22 confirms that the
warnings are still there.  For the moment this means that we should
remove the blocking (who put it there, BTW?) based on the assumption
that Philipp fixed these warnings already.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26855; Package emacs. Full text available.

Message received at 26855 <at> debbugs.gnu.org:


Received: (at 26855) by debbugs.gnu.org; 2 Sep 2017 18:48:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 02 14:48:09 2017
Received: from localhost ([127.0.0.1]:43870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1doDSj-0005Je-Dh
	for submit <at> debbugs.gnu.org; Sat, 02 Sep 2017 14:48:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59498)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1doDSh-0005JR-SN
 for 26855 <at> debbugs.gnu.org; Sat, 02 Sep 2017 14:48:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1doDSX-0004hF-Rf
 for 26855 <at> debbugs.gnu.org; Sat, 02 Sep 2017 14:48:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:55069)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1doDSX-0004gs-ON; Sat, 02 Sep 2017 14:47:57 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2663
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1doDSU-0007ql-UM; Sat, 02 Sep 2017 14:47:57 -0400
Date: Sat, 02 Sep 2017 21:47:32 +0300
Message-Id: <83mv6dx7i3.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <59AAF3C6.5040508@HIDDEN> (message from martin rudalics on Sat,
 02 Sep 2017 20:09:10 +0200)
Subject: Re: bug#26855: 25.2; Menus off screen, gtk errors
References: <87bmr2883i.fsf@HIDDEN> <5911EAD5.3060602@HIDDEN>
 <834lslyznk.fsf@HIDDEN> <59AAF3C6.5040508@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26855
Cc: gulliver.m.smith@HIDDEN, 26855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sat, 02 Sep 2017 20:09:10 +0200
> From: martin rudalics <rudalics@HIDDEN>
> CC: gulliver.m.smith@HIDDEN, 26855 <at> debbugs.gnu.org
> 
>  > Any reason not to push that patch?  I don't see anyone answering your
>  > requests in any of the related bugs, so unless you have reasons to
>  > think this could cause trouble, let's resolve those bugs, and let
>  > users report any fallout.  These bugs are currently blocking the
>  > release of Emacs 26.1.
> 
> That patch was for Emacs 25.  Emacs 26 has it already incorporated for
> quite some time.  But I meanwhile doubt that it would resolve the menu
> issue reported here.  GTK 3.22 is still not widely used by Emacs
> developers.  Otherwise, we should have seen more problems after Philip's
> changes for Bug#28189.  It's an irony that people who do use GTK 3.22
> like the OP of the present report and the one from Bug#25851 only build
> Emacs 25.

Thanks for the update.

Is there any reason to keep this bug on the list of those that block
Emacs 26.1?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26855; Package emacs. Full text available.

Message received at 26855 <at> debbugs.gnu.org:


Received: (at 26855) by debbugs.gnu.org; 2 Sep 2017 18:09:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 02 14:09:26 2017
Received: from localhost ([127.0.0.1]:43811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1doCrG-0004Pf-8a
	for submit <at> debbugs.gnu.org; Sat, 02 Sep 2017 14:09:26 -0400
Received: from mout.gmx.net ([212.227.15.15]:61519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1doCrD-0004PR-QA
 for 26855 <at> debbugs.gnu.org; Sat, 02 Sep 2017 14:09:24 -0400
Received: from [192.168.1.100] ([212.95.7.237]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0Llmcq-1dEs2N1Qfo-00ZLvh; Sat, 02
 Sep 2017 20:09:15 +0200
Message-ID: <59AAF3C6.5040508@HIDDEN>
Date: Sat, 02 Sep 2017 20:09:10 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#26855: 25.2; Menus off screen, gtk errors
References: <87bmr2883i.fsf@HIDDEN> <5911EAD5.3060602@HIDDEN>
 <834lslyznk.fsf@HIDDEN>
In-Reply-To: <834lslyznk.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:Q4bR6uNvSqKspoTPCoUAHnB2ALhRS4Q2/QLYyCdShUeA8W6PXGJ
 Evnd1Ni4yqTjUoEYbxrzm0aENGCxHBoqyB1fRFAHoioXYIXSEpTlFYNQa2WA6rVXL9BJHT/
 ys/8iITzc119Z/PfohQ1HfW3IxeaqV3KhpULSVMlBncSQjzramG/4RipvINdwVpLmnwDPRO
 +TNyI2WrEp/8A3IHVb7EQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:VFPaKSyHeb8=:8u19jTDn9GoPnPvPuyI5CO
 mcrvUJNhaU5lNAdARQHpoTP15h1o7ARBNnDZXq0WRuSyhH6DvT/+lJmMJNesw6SVeOM7F/EQU
 94VK3kCec2VsG69XwnXMlyafT+QxrAwVCmUaGsblnEktTHgFw4+Cyi5KAiTxq1D5Y/8OWc8Dn
 oY57vCbzLs3WOdBQGroK3nP/ji8lYABSRzE7YsTkryO9PfP1CpSYdFCoXU2GT5A0irulgBSeV
 rVdxN6GFi5ELC/4BWCdHUXim5e6xKsrhsB7GQdV4/fMLO3fXxzPWEMd3Uf8VWnH0y/WgAsKft
 vkWUacOYDvO5QvtTiO/RorKvXNWZ4oFOc4zlQQKeCimQ3TF6smxAiMX6GGN04jsBBZFwhSwUM
 JrZAI3MD1YU2dOqZqvH0LvAD2CDhzwy5FE/bd3zwC+oCrCzCrxPOmwKLSXcU6bsx1FuThnfX+
 17yADyck0CB3AW4fHeNUo9p8/HkXW1kjZ/7FrNb/CJk9DATMqdEBKzNEHz6lmz2aAWcHlPwuN
 OKYTnCfrL6/kPxk3HjqL4tnzTc4y6BfVgtAU5A5rlhMg7o8R+Qesb8sVYqZTPW7GLvBRcsYM5
 A7PXwPqtWnAFCtU1oyWlJN1bYqIEDobn4HVgI+rQptmml+AscRe4Pm0XregT4jpWz6SY1D+1V
 akKrr0BJ38AcNf7MFq0cKUsLjOOkJ8/W7Nkv09s5SJlZc+wGCAtkHoMVwmBuvz7czFEQNVEl1
 ecx1/4EHbX7Vsv/8V7Oj9M3WlaIsN/6rOGnHBLIfvLQCVgrGE+Hod/FPVycUzdBDBa6nQG4iz
 ZqSvZeHKxLny8ER+cUcorte+yjMjuaBOkQvBxGJgg7PDjihvKTUZ+WQlVQZyoen7LLIKd46
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: 26855
Cc: gulliver.m.smith@HIDDEN, 26855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.2 (/)

 >> In Message#218 of that thread you can find a patch
 >> (x_gtk_use_window_move.diff) I proposed for Emacs 25.  If you can build
 >> Emacs yourself, please try it.
 >
 > Martin,
 >
 > Any reason not to push that patch?  I don't see anyone answering your
 > requests in any of the related bugs, so unless you have reasons to
 > think this could cause trouble, let's resolve those bugs, and let
 > users report any fallout.  These bugs are currently blocking the
 > release of Emacs 26.1.

That patch was for Emacs 25.  Emacs 26 has it already incorporated for
quite some time.  But I meanwhile doubt that it would resolve the menu
issue reported here.  GTK 3.22 is still not widely used by Emacs
developers.  Otherwise, we should have seen more problems after Philip's
changes for Bug#28189.  It's an irony that people who do use GTK 3.22
like the OP of the present report and the one from Bug#25851 only build
Emacs 25.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26855; Package emacs. Full text available.

Message received at 26855 <at> debbugs.gnu.org:


Received: (at 26855) by debbugs.gnu.org; 2 Sep 2017 13:54:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 02 09:54:28 2017
Received: from localhost ([127.0.0.1]:41940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1do8sW-0000ec-3O
	for submit <at> debbugs.gnu.org; Sat, 02 Sep 2017 09:54:28 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1do8sU-0000eQ-8i
 for 26855 <at> debbugs.gnu.org; Sat, 02 Sep 2017 09:54:26 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1do8sK-0003sU-2R
 for 26855 <at> debbugs.gnu.org; Sat, 02 Sep 2017 09:54:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50102)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1do8sJ-0003sL-UH; Sat, 02 Sep 2017 09:54:15 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2220
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1do8sJ-0006GV-Bi; Sat, 02 Sep 2017 09:54:15 -0400
Date: Sat, 02 Sep 2017 16:54:07 +0300
Message-Id: <834lslyznk.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <5911EAD5.3060602@HIDDEN> (message from martin rudalics on Tue,
 09 May 2017 18:14:13 +0200)
Subject: Re: bug#26855: 25.2; Menus off screen, gtk errors
References: <87bmr2883i.fsf@HIDDEN> <5911EAD5.3060602@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26855
Cc: gulliver.m.smith@HIDDEN, 26855 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Tue, 09 May 2017 18:14:13 +0200
> From: martin rudalics <rudalics@HIDDEN>
> 
>  > Menus (e.g. from the menubar) are appearing off screen. Using Fedora 25 in VirtualBox
>  > 5.1.22. with guest additions. There are a lot of gtk errors when opening
>  > a menu. GTK error messages included below. This started with either
>  > emacs 25 or Fedora 25 upgrade.
>  >
>  > In GNU Emacs 25.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.11)
>  >   of 2017-04-25 built on buildhw-05.phx2.fedoraproject.org
>  > Windowing system distributor 'The Cygwin/X Project', version 11.0.11902000
>  > Configured using:
>  >   'configure --build=x86_64-redhat-linux-gnu
>  >   --host=x86_64-redhat-linux-gnu --program-prefix=
>  >   --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
>  >   --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
>  >   --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
>  >   --libexecdir=/usr/libexec --localstatedir=/var
>  >   --sharedstatedir=/var/lib --mandir=/usr/share/man
>  >   --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
>  >   --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
>  >   --with-gpm=no --with-xwidgets build_alias=x86_64-redhat-linux-gnu
>  >   host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
>  >   -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
>  >   -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
>  >   -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
>  >   -m64 -mtune=generic' LDFLAGS=-Wl,-z,relro
>  >   PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'
> 
> Looks bad.  Hopefully this is covered by the fix for bug#25851, see
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25851
> 
> In Message#218 of that thread you can find a patch
> (x_gtk_use_window_move.diff) I proposed for Emacs 25.  If you can build
> Emacs yourself, please try it.

Martin,

Any reason not to push that patch?  I don't see anyone answering your
requests in any of the related bugs, so unless you have reasons to
think this could cause trouble, let's resolve those bugs, and let
users report any fallout.  These bugs are currently blocking the
release of Emacs 26.1.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26855; Package emacs. Full text available.
Merged 25064 26130 26855 27131. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 25064 26130 26855. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 26130 26855. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 26855 <at> debbugs.gnu.org:


Received: (at 26855) by debbugs.gnu.org; 9 May 2017 16:14:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 09 12:14:30 2017
Received: from localhost ([127.0.0.1]:34364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d87mQ-0007ZG-Jh
	for submit <at> debbugs.gnu.org; Tue, 09 May 2017 12:14:30 -0400
Received: from mout.gmx.net ([212.227.17.20]:49482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1d87mP-0007Z0-Be
 for 26855 <at> debbugs.gnu.org; Tue, 09 May 2017 12:14:30 -0400
Received: from [192.168.1.100] ([213.162.68.117]) by mail.gmx.com (mrgmx101
 [212.227.17.168]) with ESMTPSA (Nemesis) id 0Mc9U3-1dR24Y3giF-00Jb2Y; Tue, 09
 May 2017 18:14:22 +0200
Message-ID: <5911EAD5.3060602@HIDDEN>
Date: Tue, 09 May 2017 18:14:13 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: gulliver.m.smith@HIDDEN, 26855 <at> debbugs.gnu.org
Subject: Re: bug#26855: 25.2; Menus off screen, gtk errors
References: <87bmr2883i.fsf@HIDDEN>
In-Reply-To: <87bmr2883i.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:KBUel4WTtHONHoYm2i0z4aRxDxAQwJOg63BL+uYjlnToBYWMwoL
 eQ8h2mtmimB6cRdm1470Qllppn8Q+ZlcxSAHudmf1N6FciLSLLKNtjTQ3BPdumUQnlbp7WK
 3ihuKLcETWcohuegkXtjgD5/IX8O5KcFd+Tr7OCv+jahhG/ZKBcOpy7R0f2VRo+oCBku3oD
 bB/PluU8rdkdVfSfpAZSA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:nmH3GUYzbZQ=:h+PNbaQEK3YGhPQacznT+M
 kiZHOyfDiUz6JUmjSeHsl96VNx6bk3ehXm19Dg+Lfj3rkX+H5drpvL0cAc9EPkZ2VAMK1Hmg8
 rQiL89bZTCDqRTpBaxapSzZJnUrPXOM3A+4kY2AnOrVgFtDsmAxPTuwZ5/3Ho01YjAixSxa9I
 qwajyKHsP32urAFat1aMskW4baiFWCy0VquLOPEZ0QiWbgkrZWjFYGp9iCovM0mkIVLUX6c1c
 dOoo7ytNsp7HKqhoeMv3cPZsp6gSNQ217gkzIevZo9qkR3wL04lBk7T4mXg+999wN2uDRpmsN
 DMda7fnOOkah0wnxo80AkNIJxIAXN5lqT8ahm0dyNuTMKLML+NoKUrQWk2AKQl/zKoVWgBU64
 A8i0wKJaCimT5V+2J6X84bX89v8eroKYIwF4Rur1WD3KYXKjVip/P2FMoBVJQWzQyIbs+YGy+
 7A08cew9YYRz1oo6KNzqZlnkLjXcPxZuIv7t6IpI9vuIKQymerQfV1iZbAVdgVejJWlulueSq
 ulA59+S+jBGr+VWDKgbdDkDnc2N2p6rQyKCQYX7dEGNkbqurnpYh5mUlYq13sOYbYzSNLYUSU
 4Xyjkw7i7UHWKkEUh6j/capWMTE19QvOJZPVJy9lRie85RXerKitfkMtSI5G3zHhDBafCdnYC
 Cyj9godbtQrckou9KUYFev8V9NDy55kNwEEgl5CJFLrYV82lpaG7+OvgtZIxUM99GK2J46p6M
 3S+x2DLLER9ABQrwTKnptjkDi6V/gyV/Nc1l/IC8Wz3XiWbnzuHvqSosdDQ7hgQxLSLLh/AUs
 7aD945A
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: 26855
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.0 (---)

 > Menus (e.g. from the menubar) are appearing off screen. Using Fedora 25 in VirtualBox
 > 5.1.22. with guest additions. There are a lot of gtk errors when opening
 > a menu. GTK error messages included below. This started with either
 > emacs 25 or Fedora 25 upgrade.
 >
 > In GNU Emacs 25.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.11)
 >   of 2017-04-25 built on buildhw-05.phx2.fedoraproject.org
 > Windowing system distributor 'The Cygwin/X Project', version 11.0.11902000
 > Configured using:
 >   'configure --build=x86_64-redhat-linux-gnu
 >   --host=x86_64-redhat-linux-gnu --program-prefix=
 >   --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 >   --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 >   --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 >   --libexecdir=/usr/libexec --localstatedir=/var
 >   --sharedstatedir=/var/lib --mandir=/usr/share/man
 >   --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 >   --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 >   --with-gpm=no --with-xwidgets build_alias=x86_64-redhat-linux-gnu
 >   host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 >   -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 >   -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
 >   -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
 >   -m64 -mtune=generic' LDFLAGS=-Wl,-z,relro
 >   PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Looks bad.  Hopefully this is covered by the fix for bug#25851, see

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25851

In Message#218 of that thread you can find a patch
(x_gtk_use_window_move.diff) I proposed for Emacs 25.  If you can build
Emacs yourself, please try it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26855; Package emacs. Full text available.
Added indication that bug 26855 blocks24655 Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 May 2017 15:28:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 09 11:28:12 2017
Received: from localhost ([127.0.0.1]:34321 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1d873a-0004er-WD
	for submit <at> debbugs.gnu.org; Tue, 09 May 2017 11:28:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42520)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gulliver.m.smith@HIDDEN>) id 1d85KN-0001f0-AP
 for submit <at> debbugs.gnu.org; Tue, 09 May 2017 09:37:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gulliver.m.smith@HIDDEN>) id 1d85KF-0003N7-PG
 for submit <at> debbugs.gnu.org; Tue, 09 May 2017 09:37:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:46247)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gulliver.m.smith@HIDDEN>)
 id 1d85KF-0003N2-LM
 for submit <at> debbugs.gnu.org; Tue, 09 May 2017 09:37:15 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33434)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gulliver.m.smith@HIDDEN>) id 1d85KC-0006Er-PN
 for bug-gnu-emacs@HIDDEN; Tue, 09 May 2017 09:37:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gulliver.m.smith@HIDDEN>) id 1d85K7-0003KY-92
 for bug-gnu-emacs@HIDDEN; Tue, 09 May 2017 09:37:12 -0400
Received: from smtp.cogeco.net ([216.221.81.25]:57804 helo=fipsb02.cogeco.net)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gulliver.m.smith@HIDDEN>) id 1d85K7-0003KQ-1O
 for bug-gnu-emacs@HIDDEN; Tue, 09 May 2017 09:37:07 -0400
X-Cloudmark-SP-Filtered: true
X-Cloudmark-SP-Result: =?us-ascii?q?v=3D2=2E1_cv=3DZ+dMZClA_c=3D1_sm=3D2_tr?=
 =?us-ascii?q?=3D0_a=3Dpw8TtWlcILVl3YiOLRu/vQ=3D=3D=3A17?=
 =?us-ascii?q?_a=3DU0s4OXDhq9QA=3A10_a=3DtJ8p9aeEuA8A=3A10_a=3DvTr9H3xdAAAA?=
 =?us-ascii?q?=3A8?=
 =?us-ascii?q?_a=3DsOiypw7qLi5cynHG06UA=3A9_a=3D7Zwj6sZBwVKJAoWSPKxL6X1jA+E?=
 =?us-ascii?q?=3D=3A19?=
 =?us-ascii?q?_a=3DZh-TMVtAP52ju2Qo=3A21_a=3DQXrKjHdI79zA6dBw=3A21_a=3D7PCjn?=
 =?us-ascii?q?rUJ-F5voXmZD6jJ=3A22?=
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: =?us-ascii?q?A2DxCACgxRFZ/4G1lhhbHAEBBAEBCgEBg?=
 =?us-ascii?q?yorIwE+gQyOAXOTSoYsjGCCDw4ehXIEhGxAGAECAQEBAQEBAWsohXIGDQFLDwQ?=
 =?us-ascii?q?hARMWVYlqARgOolWSEAUBHIZmChmBCoMUiD2HYQEBBWSFGwWJPYZlgVmMCoccj?=
 =?us-ascii?q?gGJIYZGlEAfOIEKcFuEMEEEG4F/JDYBhkaCLgEBAQ?=
X-IPAS-Result: =?us-ascii?q?A2DxCACgxRFZ/4G1lhhbHAEBBAEBCgEBgyorIwE+gQyOAXO?=
 =?us-ascii?q?TSoYsjGCCDw4ehXIEhGxAGAECAQEBAQEBAWsohXIGDQFLDwQhARMWVYlqARgOo?=
 =?us-ascii?q?lWSEAUBHIZmChmBCoMUiD2HYQEBBWSFGwWJPYZlgVmMCoccjgGJIYZGlEAfOIE?=
 =?us-ascii?q?KcFuEMEEEG4F/JDYBhkaCLgEBAQ?=
X-IronPort-AV: E=Sophos;i="5.38,314,1491278400"; d="scan'208";a="90705533"
Received: from d24-150-181-129.home.cgocable.net (HELO fedora17.home)
 ([24.150.181.129])
 by fipsb02.cogeco.net with ESMTP; 09 May 2017 09:37:06 -0400
From: gulliver.m.smith@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 25.2; Menus off screen, gtk errors
Date: Tue, 09 May 2017 09:37:05 -0400
Message-ID: <87bmr2883i.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 09 May 2017 11:28:09 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Menus (e.g. from the menubar) are appearing off screen. Using Fedora 25 in VirtualBox
5.1.22. with guest additions. There are a lot of gtk errors when opening
a menu. GTK error messages included below. This started with either
emacs 25 or Fedora 25 upgrade.

In GNU Emacs 25.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.22.11)
 of 2017-04-25 built on buildhw-05.phx2.fedoraproject.org
Windowing system distributor 'The Cygwin/X Project', version 11.0.11902000
Configured using:
 'configure --build=x86_64-redhat-linux-gnu
 --host=x86_64-redhat-linux-gnu --program-prefix=
 --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
 --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
 --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
 --libexecdir=/usr/libexec --localstatedir=/var
 --sharedstatedir=/var/lib --mandir=/usr/share/man
 --infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
 --with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
 --with-gpm=no --with-xwidgets build_alias=x86_64-redhat-linux-gnu
 host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
 -m64 -mtune=generic' LDFLAGS=-Wl,-z,relro
 PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XWIDGETS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Apropos

Minor modes in effect:
  diff-auto-refine-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:

emacs-lisp-mode-hook
For information about GNU Emacs and the GNU system, type C-h C-a.
DBUF cfms.js nil #<frame  *Minibuf-1* - DM  0x12d1c30>
Making url-show-status local to  *http 127.0.0.1:42445* while let-bound!
kill-line: End of buffer
Type C-x 1 to remove help window.  

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message idna dired format-spec rfc822
mml mml-sec epg mm-decode mm-bodies mm-encode mailabbrev gmm-utils
mailheader sendmail apropos mail-utils network-stream nsm starttls
vc-git diff-mode tern-auto-complete auto-complete popup tern easy-mmode
url-http tls gnutls url-auth mail-parse rfc2231 rfc2047 rfc2045
ietf-drums url-gw url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse auth-source
gnus-util mm-util help-fns mail-prsvr password-cache url-vars mailcap
cursor-sensor js2-mode etags xref cl-seq project eieio eieio-core
cl-macs ring js advice sgml-mode json map thingatpt cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
imenu server dash edmacro kmacro timesheet srgrep more-hacks paren
delsel finder-inf package epg-config seq byte-opt gv bytecomp
byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel x-win term/common-win x-dnd tool-bar dnd fontset
image regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cl-generic cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting xwidget-internal move-toolbar
gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 465981 47767)
 (symbols 48 35883 0)
 (miscs 40 142 199)
 (strings 32 88286 15998)
 (string-bytes 1 2418726)
 (vectors 16 86789)
 (vector-slots 8 1204840 126426)
 (floats 8 499 4)
 (intervals 56 40008 70)
 (buffers 976 20))


GTK Errors on console:


(emacs:2580): Gtk-WARNING **: gtk_window_parse_geometry() called on a window with no visible children; the window should be set up before gtk_window_parse_geometry() is called.

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed
*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug

*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug


(emacs:2580): Gtk-WARNING **: Negative content width -7 (allocation 1, extents 4x4) while allocating gadget (node arrow, owner GtkMenu)

(emacs:2580): Gtk-WARNING **: Negative content width -7 (allocation 1, extents 4x4) while allocating gadget (node arrow, owner GtkMenu)
*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug


(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed

(emacs:2580): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion 'width >= 0' failed
*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug

*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug


(emacs:2580): Gtk-WARNING **: Negative content width -7 (allocation 1, extents 4x4) while allocating gadget (node arrow, owner GtkMenu)

(emacs:2580): Gtk-WARNING **: Negative content width -7 (allocation 1, extents 4x4) while allocating gadget (node arrow, owner GtkMenu)
*** BUG ***
In pixman_region32_init_rect: Invalid rectangle passed
Set a breakpoint on '_pixman_log_error' to debug


(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content width -11 (allocation 1, extents 6x6) while allocating gadget (node menuitem, owner GtkMenuItem)

(emacs:2580): Gtk-WARNING **: Negative content height -7 (allocation 1, extents 4x4) while allocating gadget (node menuitem, owner GtkMenuItem)




Acknowledgement sent to gulliver.m.smith@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26855; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 3 Sep 2017 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.